Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult

Direct Known Subclasses:
  `TdApi.InputInlineQueryResultAnimatedGif`, `TdApi.InputInlineQueryResultAnimatedMpeg4`, `TdApi.InputInlineQueryResultArticle`, `TdApi.InputInlineQueryResultAudio`, `TdApi.InputInlineQueryResultContact`, `TdApi.InputInlineQueryResultDocument`, `TdApi.InputInlineQueryResultGame`, `TdApi.InputInlineQueryResultLocation`, `TdApi.InputInlineQueryResultPhoto`, `TdApi.InputInlineQueryResultSticker`, `TdApi.InputInlineQueryResultVenue`, `TdApi.InputInlineQueryResultVideo`, `TdApi.InputInlineQueryResultVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.InputInlineQueryResult
    extends TdApi.Object

This class is an abstract base class. Represents a single result of an inline query; for bots only.

### Constructor Summary

Constructors
`InputInlineQueryResult()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InputInlineQueryResult

    public InputInlineQueryResult()